# LoadState Struct Reference

Collaboration diagram for LoadState:

[legend]

## Data Fields

lua_State * | L
ZIO * | Z
Mbuffer * | b
const char * | name

## Detailed Description

Definition at line 23 of file lundump.c.

## Field Documentation

Mbuffer* LoadState::b

Definition at line 26 of file lundump.c.

Referenced by LoadString(), and luaU_undump().

lua_State* LoadState::L

Definition at line 24 of file lundump.c.

Referenced by error(), LoadCode(), LoadConstants(), LoadDebug(), LoadFunction(), LoadString(), and luaU_undump().

const char* LoadState::name

Definition at line 27 of file lundump.c.

Referenced by error(), and luaU_undump().

ZIO* LoadState::Z

Definition at line 25 of file lundump.c.

Referenced by LoadBlock(), and luaU_undump().

The documentation for this struct was generated from the following file:

- lua/lundump.c